Bug 56169 - _PATH_MNTTAB should be "/etc/mtab"
Summary: _PATH_MNTTAB should be "/etc/mtab"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-13 16:21 UTC by Zing
Modified: 2016-11-24 14:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 02:23:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
define _PATH_MNTTAB to "/etc/mtab" (401 bytes, patch)
2001-11-13 16:30 UTC, Zing
no flags Details | Diff

Description Zing 2001-11-13 16:21:45 UTC
Description of Problem:
Should not _PATH_MNTTAB in paths.h be "/etc/mtab"?  It is currently set 
to "/etc/fstab".

Version-Release number of selected component (if applicable):
glibc-devel-2.2.4-19

How Reproducible:
always

Steps to Reproduce:
1. look in /usr/include/paths.h

Actual Results:
_PATH_MNTTAB is #defined as "/etc/fstab"

Expected Results:
_PATH_MNTTAB #defined as "/etc/mtab"

Additional Information:
the libc docs in info also seem to say that _PATH_MNTTAB should be defined 
in 'mntent.h' but that doesn't seem to be the case.

<info snippet>
...
   The filenames given above should never be used directly.  The
portable way to handle these file is to use the macros `_PATH_FSTAB',
defined in `fstab.h' and `_PATH_MNTTAB', defined in `mntent.h',
respectively.  There are also two alternate macro names `FSTAB' and
`_PATH_MOUNTED' defined but both names are deprecated and kept only for
backward compatibility.  The two former names should always be used.
...
</info snippet>

Comment 1 Zing 2001-11-13 16:30:15 UTC
Created attachment 37382 [details]
define _PATH_MNTTAB to "/etc/mtab"

Comment 2 Ulrich Drepper 2003-04-22 02:23:24 UTC
No.  What you want is _PATH_MOUNTED.  There is no arguing about this, what we
use are the tradional names and they have to stay.  Even if some people find
them counter-intuitive at times.


Note You need to log in before you can comment on or make changes to this bug.